import IScene from "../components/IScene";
import LoadedComponent from "./LoadedComponent";

export default class SceneUILayer extends eui.Component {
    get skinKey() { return null; }

    constructor() {
        super();
        this.horizontalCenter = 0;
        this.verticalCenter = 0;

        /* this.skinName = `resource/skins/${this.skinKey}.exml`;
        if (this.skin) {
            this["onSkinComplete"] && this["onSkinComplete"]();
        } else {
            this.addEventListener(eui.UIEvent.COMPLETE, () => {
                this["onSkinComplete"] && this["onSkinComplete"]();
            }, this);
        } */
    }
}